import type { ProjectGraph, ProjectGraphDependency, ProjectGraphNode, DependencyType } from './interfaces';
/**
 * Builder for adding nodes and dependencies to a {@link ProjectGraph}
 */
export declare class ProjectGraphBuilder {
    readonly nodes: Record<string, ProjectGraphNode>;
    readonly dependencies: Record<string, Record<string, ProjectGraphDependency>>;
    constructor(g?: ProjectGraph);
    /**
     * Adds a project node to the project graph
     */
    addNode(node: ProjectGraphNode): void;
    /**
     * Adds a dependency from source project to target project
     */
    addDependency(type: DependencyType | string, sourceProjectName: string, targetProjectName: string): void;
    getProjectGraph(): ProjectGraph;
}
