"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.moveFilesToNewDirectory = void 0;
const visit_not_ignored_files_1 = require("../generators/visit-not-ignored-files");
function moveFilesToNewDirectory(host, oldDir, newDir) {
    visit_not_ignored_files_1.visitNotIgnoredFiles(host, oldDir, (file) => {
        try {
            host.rename(file, file.replace(oldDir, newDir));
        }
        catch (e) {
            if (!host.exists(oldDir)) {
                console.warn(`Path ${oldDir} does not exist`);
            }
            else if (!host.exists(newDir)) {
                console.warn(`Path ${newDir} does not exist`);
            }
        }
    });
}
exports.moveFilesToNewDirectory = moveFilesToNewDirectory;
//# sourceMappingURL=move-dir.js.map